using Newtonsoft.Json;
using System;
using UnityEngine;

namespace Game.Network.DTO
{
    [Serializable]
    public class UserCharacterDTO
    {
        [JsonProperty("userCharacterNo")]
        public int userCharacterNo;

        [JsonProperty("userNo")]
        public int userNo;

        [JsonProperty("characterCode")]
        public string characterCode;

        [JsonProperty("lv")]
        public int lv;

        [JsonProperty("strStat")]
        public int strStat;

        [JsonProperty("intStat")]
        public int intStat;

        [JsonProperty("maxHp")]
        public int maxHp;

        [JsonProperty("maxMp")]
        public int maxMp;

        [JsonProperty("defaultControl")]
        public bool defaultControl;
    }
}


